KDE 4.2 PyKDE API Reference

- KDE's Python API

# KSystemTrayIcon Class Reference

`from PyKDE4.kdeui import *`

Inherits: QSystemTrayIcon → QObject

## Detailed Description

KDE System Tray Window class

This class implements system tray windows.

A tray window is a small window (typically 22x22 pixel) that docks into the system tray in the desktop panel. It usually displays an icon or an animated icon there. The icon represents the application, similar to a taskbar button, but consumes less screen space.

When the user clicks with the left mouse button on the icon, the main application window is shown/raised and activated. With the right mouse button, she gets a popupmenu with application specific commands, including "Minimize/Restore" and "Quit".

Please note that QSystemTrayIcon.showMessage(..) should not be used for KDE application because the popup message has no KDE standard look & feel and cannot be controlled by KDE configurations. Use KNotification or KPassivePopup instead.

Author:
  Matthias Ettrich <ettrich@kde.org>

## Signals

| quitSelected ()

## Methods

| __init__ (self, QWidget parent=0)
| __init__ (self, QString icon, QWidget parent=0)
| __init__ (self, QIcon icon, QWidget parent=0)
| __init__ (self, QMovie movie, QWidget parent)
KActionCollection | actionCollection (self)
QAction | contextMenuTitle (self)
QMovie | movie (self)
QWidget | parentWidget (self)
bool | parentWidgetTrayClose (self)
| quitSelected (self)
| setContextMenuTitle (self, QAction action)
| setMovie (self, QMovie movie)
| toggleActive (self)

## Static Methods

QIcon | loadIcon (QString icon, KComponentData componentData=KGlobal.mainComponent())

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Construct a system tray icon.

The parent widget parent has a special meaning: Besides owning the tray window, the parent widget will dissappear from taskbars when it is iconified while the tray window is visible. This is the desired behavior. After all, the tray window is the parent's taskbar icon.

Furthermore, the parent widget is shown or raised respectively when the user clicks on the tray window with the left mouse button.

__init__ | ( | self, |
|  | QString | icon,
|  | QWidget | parent=0
| ) |  |  |

Same as above but allows one to define the icon by name that should be used for the system tray icon.

__init__ | ( | self, |
|  | QIcon | icon,
|  | QWidget | parent=0
| ) |  |  |

Same as above but allows one to define the icon by name that should be used for the system tray icon.

__init__ | ( | self, |
|  | QMovie | movie,
|  | QWidget | parent
| ) |  |  |

Same as above but allows one to define the movie by QMovie that should be used for the system tray icon. Memory management for the movie will be handled by KSystemTrayIcon.

KActionCollection actionCollection | ( |  | self ) |

Easy access to the actions in the context menu Currently includes KStandardAction.Quit and minimizeRestore

QAction contextMenuTitle | ( |  | self ) |

Returns the context menu title action.

Since:
  4.1

QIcon loadIcon | ( | QString | icon,
|  | KComponentData | componentData=KGlobal.mainComponent()
| ) |  |  |

Loads an icon icon using the icon loader class of the given componentData componentData. The icon is applied the panel effect as it should only be used to be shown in the system tray. It's commonly used in the form : systray->setPixmap( systray->loadIcon( "mysystray" ) );

QMovie movie | ( |  | self ) |

Get a pointer to the movie. Use this pointer to manipulate the movie (start, stop, pause). Will return null if no movie has been set

Since:
  4.2

QWidget parentWidget | ( |  | self ) |

Returns the QWidget set by the constructor

bool parentWidgetTrayClose | ( |  | self ) |

Function to be used from function handling closing of the window associated with the tray icon (i.e. QWidget.closeEvent(), KMainWindow.queryClose() or similar). When false is returned, the window closing should proceed normally, when true is returned, special systray-related handling should take place.

quitSelected | ( |  | self ) |

Emitted when quit is selected in the menu. If you want to perform any other action than to close the main application window please connect to this signal.

Signal syntax:
  `QObject.connect(source, SIGNAL("quitSelected()"), target_slot)`

setContextMenuTitle | ( | self, |
|  | QAction | action
| ) |  |  |

Sets the context menu title action to action. The following code shows how to change the current title.

    QAction *titleAction = contextMenuTitle();
    titleAction->setText("New Title");
    setContextMenuTitle(titleAction);

Since:
  4.1

setMovie | ( | self, |
|  | QMovie | movie
| ) |  |  |

Set the movie to use. To manipulate the movie (start, stop, pause), call

See also:
  movie() and make calls on the QMovie* that it returns. Memory management for the movie will be handled by KSystemTrayIcon.

Since:
  4.2

toggleActive | ( |  | self ) |